Show / Hide Table of Contents

# Interface IMessageSender

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public interface IMessageSender

### Methods

| Improve this Doc View Source

#### SendEvent<TParams>(EventType<TParams>, TParams)

##### Declaration

    Task SendEvent<TParams>(EventType<TParams> eventType, TParams eventParams)

##### Parameters

Type | Name | Description
--- | --- | ---
EventType<TParams> | eventType |
TParams | eventParams |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

##### Type Parameters

Name | Description
--- | ---
TParams |

| Improve this Doc View Source

#### SendRequest<TParams, TResult>(RequestType<TParams, TResult>, TParams, Boolean)

##### Declaration

    Task<TResult> SendRequest<TParams, TResult>(RequestType<TParams, TResult> requestType, TParams requestParams, bool waitForResponse)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestType<TParams, TResult> | requestType |
TParams | requestParams |
System.Boolean | waitForResponse |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<TResult> |

##### Type Parameters

Name | Description
--- | ---
TParams |
TResult |